Update patch ATS 1.43.1 for mod Improved Trains v3.8

FOR RELEASE 1.43
This patch update the mod Improved trains v3.8 to version 1.43.1
Patch make the mod fully compatible with a new version of the game.

Please install this patch directly above the mod Improved trains v3.8 (with replacing previous version “update patch for 1.42 or 1.43.0x older versions”).

patch are locked for version 1.43 and cannot be used in other versions of the game.
Compatible with Convoy mode (no errors in log) but trains will be disappearing near the players (in solo mode trains don’t disappearing near)

Changes in version 1.43.1
updated for release version 1/43/1/0s
add more traffic for g_traffic 1.0 value (because traffic decreased with longer trains)
renamed trains definition files for compatibility with ingame new file names structure in 1.43
Add more BNSF es44 and UP sd40 painted locomotives
changed paths for some textures to match with their new location in game folders
the possibility of the appearance of steam locomotives on third-party maps is open (coast 2 coast and the like)
general optimization and fewer performance drops

For find the MAIN MOD 3.8 follow the link:

For find all my mods and add-ons follow the link:

https://atsmods.lt/?s=improved trains

Enjoy the game!

Credits:
POWE®FULL™

DOWNLOAD 109 KB
DOWNLOAD 109 KB [Mirror]

Interesting videos

4 thoughts on “Update patch ATS 1.43.1 for mod Improved Trains v3.8

  1. due to the fact that the audience of my mod has decreased to 350-400 people who downloaded updates 1.43 all over the Internet, while the mod without updates is absolutely incompatible with the game and leads to crashes when loading. I don’t want to release public updates anymore. hopefully SCS won’t release game updates after a month. I wish you all the best

  2. oh my. I will miss.

  3. I haven’t played ATS in a bit, due to just not having much free time.
    Your train mods have almost always been a vital part of my mod list. Sad to see those DL numbers drop, but I hope you reconsider, at least for those of us who treat your mods like they are base game.
    Thankfully SCS allows for backwards updating.
    All the best in your endeavors!

    1. I think a compatibility fix for 1.44 will be released if needed

Leave a Reply

Your email address will not be published.

This site is protected by reCAPTCHA and the Google Privacy Policy and Terms of Service apply.